import {
  request
} from "../utils/request";
module.exports = {
  //获取充值配置信息
  getProducts: data => request('/v3/product', 'get', data),
  // 购买vip
  buyVip: data => request('/order', 'post', data, true),
  // 购买次数
  buyNum: data => request('/v3/pay', 'post', data),
  // 获取任务配置
  getTasks: data => request('/v3/task', 'get', data),
  // 提交任务
  submitTask: data => request('/v3/task', 'post', data),
  // 行为记录接口
  /* 
    NEW_YEAR_ACTIVITY_BANNER("banner点击数"),
    NEW_YEAR_ACTIVITY_CHOOSE_TEMPLATE("各模板选择数"),
    NEW_YEAR_ACTIVITY_GENERATE_TEMPLATE("各模板生成的作品数"),
    NEW_YEAR_ACTIVITY_SEND_BLESSING("发送祝福按钮点击数"),
    NEW_YEAR_ACTIVITY_APP_LINK("小程序链接点开数"),
    NEW_YEAR_ACTIVITY_SHARE("分享按钮点击数"),
    NEW_YEAR_ACTIVITY_PLAY_TOO("我也要玩点击数"),
  */
  actionRecord: data => request('/userEvent/v2', 'post', data),
}